Mantis - Zipper Software

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000095LTools[All Projects] Continuing Developmentpublic2013-11-01 15:342013-11-05 12:29
ReporterDennisK 
Assigned ToDennisK 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionimplemented 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.3.39 
Summary0000095: 'Skipping' error when file locked or read-only in 'Set IPTC Data'
Description'Skipping' error when file locked or read-only in 'Set IPTC Data'.
TagsNo tags attached.
Subproject NameSet IPTC Data
User NameMichelle McKenzie
Files AffectedSetIptcDataDlg.vb,IPTC.vb
Attached Files

- Relationships

-  Notes
User avatar (0000040)
DennisK (administrator)
2013-11-05 08:19
edited on: 2013-11-05 12:29

Problem was the copy in IPTC.Write. Apparently a handle wasn't closed by the OS in a timely fashion, causing the copy to fail. I changed IPTC.Write keep attempting to copy (up to 10 times) at 0.5 second intervals. This seems to have solved the problem.


- Issue History
Date Modified Username Field Change
2013-11-01 15:34 DennisK New Issue
2013-11-01 15:34 DennisK Status new => assigned
2013-11-01 15:34 DennisK Assigned To => DennisK
2013-11-01 15:36 DennisK Subproject Name N/A => Set IPTC Data
2013-11-01 15:37 DennisK Note Added: 0000039
2013-11-01 15:37 DennisK Status assigned => resolved
2013-11-01 15:37 DennisK Fixed in Version => 1.3.39
2013-11-01 15:37 DennisK Resolution open => implemented
2013-11-04 14:49 DennisK Files Affected SetIptcDataDlg.vb => SetIptcDataDlg.vb, IPTC.vb
2013-11-04 14:50 DennisK Files Affected SetIptcDataDlg.vb, IPTC.vb => SetIptcDataDlg.vb,IPTC.vb
2013-11-05 08:19 DennisK Note Added: 0000040
2013-11-05 08:19 DennisK Summary Suppress 'Skipping' error dialog when file locked or read-only in 'Set IPTC Data' => 'Skipping' error dialog when file locked or read-only in 'Set IPTC Data'
2013-11-05 08:19 DennisK Description Updated View Revisions
2013-11-05 12:23 DennisK Summary 'Skipping' error dialog when file locked or read-only in 'Set IPTC Data' => 'Skipping' error when file locked or read-only in 'Set IPTC Data'
2013-11-05 12:23 DennisK Description Updated View Revisions
2013-11-05 12:25 DennisK Note Deleted: 0000039
2013-11-05 12:29 DennisK Note Edited: 0000040 View Revisions


Copyright © 2000 - 2019 MantisBT Team, Copyright © 2008 - 2019 Zipper Software
Powered by Mantis Bugtracker